//Getting the line count
function getLineCountInFile(%file)
{
    if(!isFile(%file))
    return -1;
    
    %f = new fileObject();
    %f.openForRead(%file);
    %count = 0;
    while(!%f.isEOF())
        {
                %f.readLine();
                %count++;
        }
    
    return %count;
}

//Picking a random line
function getRandomLineInFile(%file)
{
    if(!isFile(%file))
    return "ERROR: Fact not found.";
    
    %random = getRandom(0,getLineCountInFile(%file));
    %f = new fileObject();
    %f.openForRead(%file);
    for(%i=0;%i<=%random;%i++)
    %line = %f.readLine();
    
    return %line;
}

//The main part, announcing the line.
function SBannounce()
{
    cancel($SB::Sched);
    announce("Serverbot 1.4\c6: Fact: " @ getRandomLineInFile("config/server/serverbot/lines.txt") @ "");
    $SB::Sched = schedule(300000,0,SBannounce);
}
SBannounce();
